Subject: Re: [netmod] Review of draft-wwx-netmod-event-yang-09

From: Qin Wu <[email-masked]>
Date: Wed, 26 Aug 2020 12:52:54 +0000

Hi, Jonathan:
Thanks for taking stabbing into this draft and have a valuable review on introduction and terminologies we defined and used in this draft.
See reply inline below.
发件人: netmod [mailto:[email-masked]] 代表 Jonathan Hansford
发送时间: 2020年7月31日 19:29
收件人: [email-masked]
主题: [netmod] Review of draft-wwx-netmod-event-yang-09

Hi,

Most of my comments are editorial and to date only address up to the end of Section 2:

Page 1

   Could the Abstract be simplified to:
      This document defines a YANG data model for Event Condition Action
      (ECA) policy management.  The ECA policy YANG module provides the
      ability to delegate some network management functions to the server
      which can take simple and instant action when a trigger condition on
      the system state is met.
[Qin]: The proposed changes look good, thanks.
Page 3

   1. Introduction

   1st bullet should end in a semi-colon, not a period
[Qi]:Fixed, thanks.
   2nd bullet:
      s/large amount/large amounts
[Qin]:Fixed.
   3rd bullet:
      s/can not/cannot
[Qin]:Accepted.
      s/disconnected from/not connected to
[Qin]:Okay.
   4th bullet:
      s/devices needs/devices need

      s/hundeds/hundreds

      I think a comma after "notifications" would make it easier to parse the sentence which should end in a period, not a semi-colon
[Qin]:Agree, thanks for your good suggestion.
   Either
      s/network management function/the network management function
   Or
      s/network management function/network management functions
[Qin]:I like your second proposed change.
   s/server monitor/server to monitor

   Is it a service or the server that is providing continuous performance monitoring?
[Qin]: I think it is the server, your proposed change looks good.
   s/monitoring and detect defects and failures and/monitoring, detect defects and failures, and
[Qin]:Okay.
   s/a ECA Policy/an ECA Policy
[Qin]:Fixed, thanks.
   The second sentence of the penultimate paragraph on page 3 is too long, confusing and unstructured. It needs re-writing.
[Qin]:Here is the rewriting text:
“
This document defines an ECA Policy management YANG data model. The ECA Policy YANG allows the client to move the network management task to the server,
which provides the ability to control the configurations and monitor state parameters, and take simple and instant action on the server when a trigger condition
on the system state is met.
”
Page 4

   2.1. Terminology

   Might it be worth including definitions from RFC3198 "Terminology for Policy-Based Management" as well, either to explain how this Internet Draft aligns or where it deviates? For example:

   o  Policy Decision Point (PDP)

   o  Policy Enforcement Point (PEP)

   o  provisioned policy

   It seems to me this Internet Draft provides support for provisioned policies where the server is both the PDP and the PEP.
[Qin]: I believe your understanding is correct, we have local PDP within the server.
   Neither "Implicit policy variable" nor "Explicit policy variable" are defined in RFC3460, though it does introduce (but not formally define) the following terms. Be good to properly align with the terms in the RFC:

   o  "Implicit PolicyVariable", "Implicitly bound policy variable" and "Implicitly defined policy variable"

   o  "Explicitly bound policy variable" and "Explicitly defined policy variable"
[Qin]: Agree, but we actually redefine policy variable which doesn’t depend on implicit policy variable or explicit policy variable any, I would rather remove these terms and reference to RFC3460.
   Event: The definition of "Event" is a direct lift from RFC5277, so shouldn't it just be included it in the list of predefined terms? However, it appears the term that is actually used in the Internet Draft is "Notification" (in the definitions of Server Event and Datastore Event) and, since "Event" is such an overloaded term, it may be better to define "Notification".
[Qin]:I think your understanding is correct, we can include them in the predefined terms. I haven’t figured out how to redefine notification, if you have any proposal, please suggest.
   Event Stream is used in this Internet Draft, where "Stream" is defined in RFC5277.

   Condition: s/cause/causes

   Action: s/Updates or invocations/Update or invocation
[Qin]:Okay.
   ECA Event:

      Is something missing in this definition, should there be a period after "processing", or should "Derived" not have a capital "D"?
[Qin]: Not sure why period is needed in this context.
      s/extensible list/an extensible list
[Qin]: Sounds good.
   Datastore Event: s/for a/for which a

   Self Monitoring: I find it confusing that "Self Monitoring" encompasses both monitor and control.
[Qin]: will remove control.
   Self Healing:

      s/discovery, and correction/discovery and correction

      s/actions/Actions

      s/system/the system
[Qin]: Good.
   Policy Variable (PV): It is rather confusing that this Internet Draft both uses the definition of "policy variable" from RFC3460 and has its own definition. Should we just rely on capitalisation to determine which is meant?
[Qin]: See above, I prefer to redefine Policy variable which add dependency to PV in RFC3460.
Jonathan